CREATE TABLE inv_uom_usages (
    UOM_USAGE_ID              NUMBER(18, 0) ,
    ORGANIZATION_ID           NUMBER(18, 0)     NOT NULL,
    INVENTORY_ITEM_ID         NUMBER(18, 0)     NOT NULL,
    SUBINVENTORY_CODE         VARCHAR2(40)  ,
    UOM_USAGE_TYPE            VARCHAR2(120)     NOT NULL,
    UOM_CODE                  VARCHAR2(12)      NOT NULL,
    DEFAULT_FLAG              VARCHAR2(4)   ,
    CREATION_DATE             TIMESTAMP(6)      NOT NULL,
    CREATED_BY                VARCHAR2(256)     NOT NULL,
    LAST_UPDATE_DATE          TIMESTAMP(6)      NOT NULL,
    LAST_UPDATED_BY           VARCHAR2(256)     NOT NULL,
    LAST_UPDATE_LOGIN         VARCHAR2(128) ,
    OBJECT_VERSION_NUMBER     NUMBER(9, 0)      NOT NULL,
    REQUEST_ID                NUMBER(18, 0) ,
    JOB_DEFINITION_NAME       VARCHAR2(400) ,
    JOB_DEFINITION_PACKAGE    VARCHAR2(3600),
    UOM_USAGE_ID              NUMBER(18, 0) ,
    ORGANIZATION_ID           NUMBER(18, 0)     NOT NULL,
    INVENTORY_ITEM_ID         NUMBER(18, 0)     NOT NULL,
    SUBINVENTORY_CODE         VARCHAR2(40)  ,
    UOM_USAGE_TYPE            VARCHAR2(120)     NOT NULL,
    UOM_CODE                  VARCHAR2(12)      NOT NULL,
    DEFAULT_FLAG              VARCHAR2(4)   ,
    CREATION_DATE             TIMESTAMP(6)      NOT NULL,
    CREATED_BY                VARCHAR2(256)     NOT NULL,
    LAST_UPDATE_DATE          TIMESTAMP(6)      NOT NULL,
    LAST_UPDATED_BY           VARCHAR2(256)     NOT NULL,
    LAST_UPDATE_LOGIN         VARCHAR2(128) ,
    OBJECT_VERSION_NUMBER     NUMBER(9, 0)      NOT NULL,
    REQUEST_ID                NUMBER(18, 0) ,
    JOB_DEFINITION_NAME       VARCHAR2(400) ,
    JOB_DEFINITION_PACKAGE    VARCHAR2(3600),
    CONSTRAINT pk_inv_uom_usages PRIMARY KEY (UOM_USAGE_ID, UOM_USAGE_ID)
);
